Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 607100 (CVE-2017-5579) - <app-emulation/qemu-2.8.0-r1: serial: host memory leakage in 16550A UART (CVE-2017-5579)
Summary: <app-emulation/qemu-2.8.0-r1: serial: host memory leakage in 16550A UART (CVE...
Status: RESOLVED FIXED
Alias: CVE-2017-5579
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B4 [glsa cve]
Keywords:
Depends on: CVE-2017-5931
Blocks:
  Show dependency tree
 
Reported: 2017-01-24 18:21 UTC by Francis Booth
Modified: 2017-02-21 00:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francis Booth 2017-01-24 18:21:59 UTC
From ${URL} :

Quick Emulator(Qemu) built with the 16550A UART serial device emulation 
support is vulnerable to a memory leakage issue. It could occur while doing a 
device unplug operation; Doing so repeatedly would result in leaking host 
memory, affecting other services on the host.

A privileged user inside guest could use this flaw to cause a DoS and/or 
potentially crash the Qemu process on the host.

Upstream patch:
---------------
   -> https://lists.nongnu.org/archive/html/qemu-devel/2017-01/msg01945.html

Reference:
----------
   -> https://bugzilla.redhat.com/show_bug.cgi?id=1416157


Reproducible: Always
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-02-16 18:35:41 UTC
Added to an existing GLSA request.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-02-21 00:23:26 UTC
This issue was resolved and addressed in
 GLSA 201702-28 at https://security.gentoo.org/glsa/201702-28
by GLSA coordinator Thomas Deutschmann (whissi).
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-02-21 00:30:34 UTC
This issue was resolved and addressed in
 GLSA 201702-28 at https://security.gentoo.org/glsa/201702-28
by GLSA coordinator Thomas Deutschmann (whissi).